summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-10-13 10:17:12 +0200
committerHans de Graaff <graaff@gentoo.org>2019-10-13 10:17:12 +0200
commited0c37e3b0716789372b0f2c49682a7002b0cf7e (patch)
tree957eeb56246216ca7e85a04273dc5a4c08378f1d /dev-ruby/rest-client
parentdev-ruby/rest-client: update HOMEPAGE, metadata (diff)
downloadgentoo-ed0c37e3b0716789372b0f2c49682a7002b0cf7e.tar.gz
gentoo-ed0c37e3b0716789372b0f2c49682a7002b0cf7e.tar.bz2
gentoo-ed0c37e3b0716789372b0f2c49682a7002b0cf7e.zip
dev-ruby/rest-client: add 2.1.0
Fixes: https://bugs.gentoo.org/692724 Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/rest-client')
-rw-r--r--dev-ruby/rest-client/Manifest1
-rw-r--r--dev-ruby/rest-client/rest-client-2.1.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-ruby/rest-client/Manifest b/dev-ruby/rest-client/Manifest
index 78b11caa859..94e23e2b8eb 100644
--- a/dev-ruby/rest-client/Manifest
+++ b/dev-ruby/rest-client/Manifest
@@ -1 +1,2 @@
DIST rest-client-2.0.2.gem 149504 BLAKE2B 839003255545ad8d67b0fd896f56b628d647a90fdf9eaf4e27f6c5d0179f15a1c17683e81ff7f288ffac55dcd523f5b01b4217a277b6c260bf45df8cef3998e2 SHA512 c132518a9ff0029e79826cf90de442b01f6f422b464e04914947c2f757cb7046b96c915f0248a82172f7980519fa9fe5f7bcb9dcfe28889abc62dbb48cee1030
+DIST rest-client-2.1.0.gem 147456 BLAKE2B 602e3cea1bdb117ad8b783d30741f699b18085fd6dd4f0d26a8a8f3b658bc6f807357a7412eaae312566f1b4d5ee7e311f51d5fd4a8eb9063e8552335b019a2e SHA512 fe5d44409dfe607566b4c0324441d9a3981776699027bfbc92283b1cd425f204211fc872593cb0784e0ca7a5e061e98793540eedfeb1891d9a8afd53a5ce01de
diff --git a/dev-ruby/rest-client/rest-client-2.1.0.ebuild b/dev-ruby/rest-client/rest-client-2.1.0.ebuild
new file mode 100644
index 00000000000..8f973b66fd9
--- /dev/null
+++ b/dev-ruby/rest-client/rest-client-2.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="history.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple Simple HTTP and REST client for Ruby"
+HOMEPAGE="https://github.com/rest-client/rest-client"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/webmock:3 )"
+
+ruby_add_rdepend "
+ >=dev-ruby/http-accept-1.7.0:1
+ >=dev-ruby/http-cookie-1.0.2:0
+ >=dev-ruby/mime-types-1.16:* <dev-ruby/mime-types-4:*
+ >=dev-ruby/netrc-0.8:0
+"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' \
+ -e '/namespace :windows/,/^end/ s:^:#:' -i Rakefile || die
+
+ # Remove specs that requires network access.
+ rm spec/integration/{httpbin,request}_spec.rb || die
+}